/*

  L9110S Dual Motor Driver

  Parts required:
  - Arduino Board
  - L9110S Dual Motor Driver / 28BYJ-48 stepper motor
  - Power supply

  Library Included:
  - Stepper.h (Preinstalled in arduino IDE)

  Programming by René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 18 Mar 2020
  Version : v1.0

  Alle dele kan købes på www.arduinotech.dk

*/

#include <Stepper.h>                                            // include library Stepper.h

const int stepsPerRevolution = 2048;                            // set stepsPerRevolution to 2048 

Stepper myStepper = Stepper(stepsPerRevolution, 2, 4, 3, 5);    // create object from stepper.h and set step per minute and ports for the driver
void setup() {
  myStepper.setSpeed(5);                                        // set stepper motor speed to 5
}
void loop() {
  myStepper.step(stepsPerRevolution);                           // set stepper motor to run clockwise
  delay(500);                                                   // wait 500ms
  
  myStepper.step(-stepsPerRevolution);                          // set stepper motor to run anticlockwise
  delay(500);                                                   // wait 500ms
}
